commit:     8050da8d3ccc26d4fdeb87f148d3669eaff2ff8b
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Sun Sep 20 08:34:52 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Sun Sep 20 09:33:40 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8050da8d

dev-python/pytest: Version Bump

Package-Manager: portage-2.2.20.1
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 dev-python/pytest/Manifest            |  1 +
 dev-python/pytest/pytest-2.8.0.ebuild | 70 +++++++++++++++++++++++++++++++++++
 2 files changed, 71 insertions(+)

diff --git a/dev-python/pytest/Manifest b/dev-python/pytest/Manifest
index d9fee15..e7f001b 100644
--- a/dev-python/pytest/Manifest
+++ b/dev-python/pytest/Manifest
@@ -1,2 +1,3 @@
 DIST pytest-2.7.2.tar.gz 532836 SHA256 
b30457f735420d0000d10a44bbd478cf03f8bf20e25bd77248f9bab40f4fd6a4 SHA512 
5474a4fe58437a4971fb21b1b37dad3c08e18e5d154931ff23e597f881100a3515bf0cf71d06b143465594ad2a91a96f84f4836d84c39691143c8d88ca7a4360
 WHIRLPOOL 
6ab7371f952109ac476774222883e1381fe5ee6a54d967f2d90765f6c59c90634a16c42e8e2e1661169db6a9cb1327242ff2281cf1caeabd86a4dacd24f4bb06
 DIST pytest-2.7.3.tar.gz 548235 SHA256 
d5a9c3db3515ab95902ba08c09d1e941a21a440dc2d65f31bac02667508a9efc SHA512 
ad9b57f202c60c247dd4753fb8391e3e88b390e34de678ea12384d81d76693dd37e04f11f6da19a6eda2c74a73db23789856ccaa325d32b4beb6bff86d9e4173
 WHIRLPOOL 
4aecd53142e503083abe2631bf403509c515d52176c430b7ab1e0becdf404e0fce4bad4343a4ab62525a6e008de0c35b4fac4a352d06938288dbf8deb8a4a250
+DIST pytest-2.8.0.zip 8189680 SHA256 
29ed6fdb7b287f5353620494e950aba652c593c40556aece95a4d23d403ae2cb SHA512 
98f7131c3396848ef7dbcf67e21e0329f8a3b771b3f8b832c1894758b34a2f852209f809001da856cfe8ea3773b257405ae2d5f8a04152242b8692e1511289ed
 WHIRLPOOL 
3fd7f6ec73f11f29fd9b67bbb0c28dd73605604053160111212bd43d2c85c0b6cec5a25a979fecabb83a097c5621d5460747df5cb08796866349b7ba71b12005

diff --git a/dev-python/pytest/pytest-2.8.0.ebuild 
b/dev-python/pytest/pytest-2.8.0.ebuild
new file mode 100644
index 0000000..9c8599a
--- /dev/null
+++ b/dev-python/pytest/pytest-2.8.0.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+PYTHON_COMPAT=( python{2_7,3_3,3_4} pypy pypy3 )
+inherit distutils-r1
+
+DESCRIPTION="py.test: simple powerful testing with Python"
+HOMEPAGE="http://pytest.org/ https://pypi.python.org/pypi/pytest";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.zip"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc test"
+
+# When bumping, please check setup.py for the proper py version
+PY_VER="1.4.29"
+RDEPEND=">=dev-python/py-${PY_VER}[${PYTHON_USEDEP}]"
+
+# dev-python/pluggy
+# https://github.com/hpk42/pluggy
+# See https://github.com/pytest-dev/pytest/issues/944
+# for why not now
+
+#pexpect dep based on 
https://bitbucket.org/hpk42/pytest/issue/386/tests-fail-with-pexpect-30
+DEPEND="${RDEPEND}
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? ( dev-python/pexpect[${PYTHON_USEDEP}] )
+       doc? (
+               >=dev-python/sphinx-1.2.3[${PYTHON_USEDEP}]
+               dev-python/pyyaml[${PYTHON_USEDEP}]
+               dev-python/regendoc[${PYTHON_USEDEP}]
+       )"
+
+python_prepare_all() {
+       # Disable versioning of py.test script to avoid collision with
+       # versioning performed by the eclass.
+       sed -e "s/return points/return {'py.test': target}/" -i setup.py || die 
"sed failed"
+       grep -qF "py>=${PY_VER}" setup.py || die "Incorrect dev-python/py 
dependency"
+
+       # Prevent un-needed d'loading
+       sed -e "s/'sphinx.ext.intersphinx', //" -i doc/en/conf.py || die
+       distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+       if use doc; then
+               mkdir doc/en/.build || die
+               emake -C doc/en html
+       fi
+}
+
+python_test() {
+       # test_nose.py not written to suit py3.2 in pypy3
+       if [[ "${EPYTHON}" == pypy3 ]]; then
+               "${PYTHON}" "${BUILD_DIR}"/lib/pytest.py -x -v \
+                       --ignore=testing/BUILD_nose.py \
+                       || die "tests failed with ${EPYTHON}"
+       else
+               "${PYTHON}" "${BUILD_DIR}"/lib/pytest.py -x -v 
--runpytest=subprocess \
+                       || die "tests failed with ${EPYTHON}"
+       fi
+}
+
+python_install_all() {
+       use doc && HTML_DOCS=( doc/en/_build/html/. )
+       distutils-r1_python_install_all
+}

Reply via email to